Package org.eclipse.zest.core.viewers

# Interface ISelfStyleProvider

@Deprecated(since="1.19", forRemoval=true) public interface ISelfStyleProvider
Deprecated, for removal: This API element is subject to removal in a future version.
Use `GraphLabelDecorator` instead. This interface will be removed after the 2028-09 release.
Provides a mechanism to style nodes and edges when they are created. After each node or edge is created, the self styling method will be called with both the element and the widget.

## Method Summary

Modifier and Type
Method
Description
`void`
`selfStyleConnection(Object element, GraphConnection connection)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`selfStyleNode(Object element, GraphNode node)`
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Details

### selfStyleConnection

@Deprecated(since="1.19", forRemoval=true) void selfStyleConnection(Object element, GraphConnection connection)
Deprecated, for removal: This API element is subject to removal in a future version.
Styles a connection

### selfStyleNode

@Deprecated(since="1.19", forRemoval=true) void selfStyleNode(Object element, GraphNode node)
Deprecated, for removal: This API element is subject to removal in a future version.
Styles a node